HanMacWrdJTextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a HanMacWrdJText. More...

Inheritance diagram for HanMacWrdJTextInternal::SubDocument:

## Public Member Functions

| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr const &input, long id, long cPos=0)
| constructor to call a textzone
| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr const &input, std::string const &text)
| constructor to send a string
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Types

enum | Type { S_TextZone , S_String }
| the subdocument type More...

## Protected Attributes

Type | m_type
| the subdocument type
HanMacWrdJText * | m_textParser
| the text parser
long | m_id
| the subdocument id
long | m_cPos
| the first charecter position
std::string | m_bookmark
| the bookmark string
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a HanMacWrdJText.

## Member Enumeration Documentation

## Type

enum HanMacWrdJTextInternal::SubDocument::Type

protected

the subdocument type

Enumerator
S_TextZone |
S_String |

## Constructor & Destructor Documentation

## SubDocument() [1/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | long | id,
|  | long | cPos = 0 )

inline

constructor to call a textzone

Referenced by operator!=(), operator=(), and SubDocument().

## SubDocument() [2/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | std::string const & | text )

inline

constructor to send a string

## ~SubDocument()

HanMacWrdJTextInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [3/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private delete

## Member Function Documentation

## operator!=()

bool HanMacWrdJTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

final virtual

operator!=

Reimplemented from MWAWSubDocument.

## operator=()

SubDocument & HanMacWrdJTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private delete

## parse()

void HanMacWrdJTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_bookmark

std::string HanMacWrdJTextInternal::SubDocument::m_bookmark

protected

the bookmark string

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_cPos

long HanMacWrdJTextInternal::SubDocument::m_cPos

protected

the first charecter position

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_id

long HanMacWrdJTextInternal::SubDocument::m_id

protected

the subdocument id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_textParser

HanMacWrdJText* HanMacWrdJTextInternal::SubDocument::m_textParser

protected

the text parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_type

Type HanMacWrdJTextInternal::SubDocument::m_type

protected

the subdocument type

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- HanMacWrdJText.cxx